-
    headers: 'User-Agent: Mozilla/5.0 (Android; COS2.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36'
    result: { browser: { name: Chrome, version: '31', type: browser }, engine: { name: Blink }, os: { name: COS, family: Android, version: '2.0' }, device: { type: mobile, subtype: smart } }
    readable: 'Chrome 31 on COS 2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (COS 2.0; Linux) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36'
    result: { browser: { name: Chrome, version: '31', type: browser }, engine: { name: Blink }, os: { name: COS, family: Android, version: '2.0' }, device: { type: desktop } }
    readable: 'Chrome 31 on COS 2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (COS 998;COS 998; COS 998 Build/12345) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.166 Safari/535.19'
    result: { browser: { name: Chrome, version: '18', type: browser }, engine: { name: Webkit, version: '535.19' }, os: { name: COS, family: Android }, device: { type: desktop } }
    readable: 'Chrome 18 on COS'
-
    headers: 'User-Agent: Mozilla/5.0 (COS2.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36'
    result: { browser: { name: Chrome, version: '31', type: browser }, engine: { name: Blink }, os: { name: COS, family: Android, version: '2.0' }, device: { type: desktop } }
    readable: 'Chrome 31 on COS 2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (COS; HTC 9089)'
    result: { os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: '9089' } }
    readable: 'a HTC 9089 running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Chinese Operating System 2.0; HTC 9089)'
    result: { os: { name: COS, family: Android, version: '2.0' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: '9089' } }
    readable: 'a HTC 9089 running COS 2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS 1.0; COS like Android 4.1.2; zh_CN; HTC 802t Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/2.2.4 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android, version: '1.0' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: One } }
    readable: 'a HTC One running COS 1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.0.3; EndeavorU Build/IML74K) AppleWebKit/534.30 (KHTML like Gecko) COSBrowser/2.1.12Version/4.0 Mobile Safari/534.30'
    result: { engine: { name: Webkit, version: '534.30' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: 'One X' } }
    readable: 'a HTC One X running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.1.2; en_US; 9088 Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/1.0.0 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: '9088' } }
    readable: 'a HTC 9088 running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.1.2; en_US; 909d Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/2.1.14 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: 909d } }
    readable: 'a HTC 909d running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.1.2; zh_CN; DLXU Build/JRO03C) AppleWebKit/534.30 (KHTML, like Gecko) COSBrowser/1.0.0 Version/4.0 Mobile Safari/534.30'
    result: { engine: { name: Webkit, version: '534.30' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: Butterfly } }
    readable: 'a HTC Butterfly running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.1.2; zh_CN; HTC 802t Build/JRO03C) AppleWebKit/534.30 (KHTML, like Gecko) COSBrowser/2.1 Version/4.0 Mobile Safari/534.30'
    result: { engine: { name: Webkit, version: '534.30' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: One } }
    readable: 'a HTC One running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.1.2; zh_CN; M7CDTU Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/2.1.14 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: One } }
    readable: 'a HTC One running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS like Android 4.1.2; zh_TW; 909d Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/1.0.0 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: 909d } }
    readable: 'a HTC 909d running COS'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS/1.0; COS like Android 4.1.2; zh_CN; HTC 802t Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/2.2.4 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android, version: '1.0' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: One } }
    readable: 'a HTC One running COS 1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS/1.0; COS like Android 4.1.2; zh_CN; HTC 802t Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) COSBrowser/2.2.4 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android, version: '1.0' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: One } }
    readable: 'a HTC One running COS 1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; COS1.0; zh_CN; HTC 802t Build/JRO03C) AppleWebKit/537.17 (KHTML, like Gecko) Browser/2.2.4 Version/4.0 Mobile Safari/537.17'
    result: { engine: { name: Webkit, version: '537.17' }, os: { name: COS, family: Android, version: '1.0' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: One } }
    readable: 'a HTC One running COS 1.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; China Operating System 2.0; HTC Sensation Build/IML74K) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30'
    readable: 'a HTC Sensation running COS 2.0'
    result: { engine: { name: Webkit, version: '534.30' }, os: { name: COS, family: Android, version: '2.0' }, device: { type: mobile, subtype: smart, manufacturer: HTC, model: Sensation } }
